---
title: SVGExternalResourcesRequired
slug: Web/API/SVGExternalResourcesRequired
tags:
  - API
  - Deprecated
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}{{deprecated_header}}</div>

<p>The <strong><code>SVGExternalResourcesRequired</code></strong> interface defines an interface which applies to all elements where this element or one of its descendants can reference an external resource.</p>

<p>{{InheritanceDiagram}}</p>

<div class="warning">
<p><strong>Warning:</strong> This interface was removed in the SVG 2 specification.</p>
</div>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGExternalResourcesRequired.externalResourcesRequired")}}</dt>
 <dd>
 <p>Corresponds to the {{SVGAttr("externalResourcesRequired")}} attribute of the given element.</p>

 <p class="note"><strong>Note:</strong> The SVG DOM defines the attribute <code>externalResourcesRequired</code> as being of type {{domxref("SVGAnimatedBoolean")}}, whereas the SVG language definition says that the attribute is not animated. Because the SVG language definition states that <code>externalResourcesRequired</code> cannot be animated, the <code>animVal</code> will always be the same as the <code>baseVal</code>.</p>
 </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "types.html#InterfaceSVGExternalResourcesRequired", "SVGExternalResourcesRequired")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGExternalResourcesRequired")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("externalResourcesRequired")}}</li>
</ul>
